---
title: Get
url: https://www.tines.com/docs/api/admin/users/get/
updated: 2026-04-09T14:16:44+00:00
description: Retrieve details of a specific user.
---

*[tines.com](https://www.tines.com/llms.txt) › [Docs](https://www.tines.com/llms.txt) › [Tines API](https://www.tines.com/llms.txt) › [Admin](https://www.tines.com/llm/docs/api/admin.md) › [Users](https://www.tines.com/llm/docs/api/admin/users.md)*

# Get

*[View on tines.com](https://www.tines.com/docs/api/admin/users/get/)*

## Description

Retrieve details of a specific user.

## Request

HTTP Method: **GET**

| Path Parameter | Description     |
| -------------- | --------------- |
| user_id        | ID of the user. |

| Query Parameter | Description                              |
| --------------- | ---------------------------------------- |
| include         | **Optional** Include: `team_memberships` |

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/admin/users/<<user_id>> \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

Or, to include `team_memberships`:

```bash
curl -X GET \
  https://<tenant-domain>/api/v1/admin/users/<<user_id>>?include=team_memberships \
  -H 'content-type: application/json' \
  -H 'Authorization: Bearer <<CREDENTIAL.tines_api_key>>'
```

## Response

A successful request will return a JSON object describing the User.

### Field description

| Parameter          | Description                                                       |
| ------------------ | ----------------------------------------------------------------- |
| id                 | User ID.                                                          |
| scim_uid           | SCIM User ID.                                                     |
| email              | User email.                                                       |
| admin              | Boolean flag indicating whether user is an admin.                 |
| tenant_permissions | Array of tenant permission names.                                 |
| is_active          | Boolean flag indicating whether user is active.                   |
| created_at         | Timestamp describing when the user was created.                   |
| updated_at         | Timestamp describing when the user was last updated.              |
| first_name         | User first name.                                                  |
| last_name          | User last name.                                                   |
| last_seen          | Timestamp describing when the user was last seen in the platform. |

If `?include=team_memberships` is included, a successful response will include a JSON array of the following:

| Parameter | Description               |
| --------- | ------------------------- |
| team_id   | Team ID.                  |
| team_name | Team name.                |
| role      | User's role in this team. |

### Sample response

```json
{
  "id": 2,
  "scim_uid": "123",
  "email": "alice@tines.xyz",
  "created_at": "2019-07-08T14:16:11.967Z",
  "updated_at": "2019-10-31T21:40:52.682Z",
  "admin": false,
  "is_active": true,
  "first_name": "Alice",
  "last_name": "Smith",
  "last_seen": "2019-10-31T21:40:42.000Z",
  "tenant_permissions": ["AUDIT_LOG_READ"]
}
```

Or, if `?include=team_memberships` is included in the request:

```json
{
  ...,
  "team_memberships": [
    { "team_id": 7, "team_name": "Security Ops", "role": "EDITOR" },
    { "team_id": 12, "team_name": "IR Cases", "role": "CASE_MANAGER" }
  ]
}
```
